Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::adjacent_remove_if_fn Struct Reference

## Synopsis of methods
constexpr view< adjacent_remove_if_fn > | adjacent_remove_if {}

## Public Member Functions
template<typename Rng , typename Pred >
constexpr auto | operator() (Rng &&rng, Pred pred) const -> adjacent_remove_if_view< all_t< Rng >, Pred > requires ViewableRange< Rng > &&ForwardRange< Rng > &&IndirectBinaryPredicate< Pred, iterator_t< Rng >, iterator_t< Rng >>